using System;
using System.Data;
using Console = System.Console;
using Microsoft.Data.Odbc;



namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
    
    /// </summary>
    [STAThread]
    static void Main(string[] args)
    {
           
      try
      {
        string MyConString = "DRIVER={MySQL ODBC 3.51 Driver};" +
          "SERVER=localhost;" +
          "DATABASE=test;" +
          "UID=root;" +
          "PASSWORD=;" +
          "OPTION=3";

        //Connect to MySQL using MyODBC
        OdbcConnection MyConnection = new OdbcConnection(MyConString);
        MyConnection.Open();

        Console.WriteLine("\n !!! success, connected successfully !!!\n");

        OdbcCommand MyCommand = new OdbcCommand("SELECT time_field FROM sales",MyConnection);
        OdbcDataReader MyDataReader;
        MyDataReader =  MyCommand.ExecuteReader();
        while (MyDataReader.Read())
        {
          Console.WriteLine("Data: " + MyDataReader.GetString(0));
        }

      }
      catch (OdbcException MyOdbcException)//Catch any ODBC exception ..
      {
        for (int i=0; i < MyOdbcException.Errors.Count; i++)
        {
          Console.Write("ERROR #" + i + "\n" +
            "Message: " + MyOdbcException.Errors[i].Message + "\n" +
            "Native: " + MyOdbcException.Errors[i].NativeError.ToString() + "\n" +
            "Source: " + MyOdbcException.Errors[i].Source + "\n" +
            "SQL: " + MyOdbcException.Errors[i].SQLState + "\n");
        }
      }
    }
	}
}
